local c={}

local function getDist(p1,p2)
	local dist=math.abs(p1-p2)
	local dist2=#road.blocks-dist
	if dist>dist2 then dist=dist2 end
	return dist
end

local function begin(a,b,coll)
	local objA=a:getUserData()
	local objB=b:getUserData()
	if objA.type=="sensor" and objB.type=="car" then
		local dist=getDist(objB.oPos,objA.index)
		if dist<5 then
			objB.posInRoad=objA.index
		end
	end
end

local function pre(a,b,coll)

	local objA=a:getUserData()
	local objB=b:getUserData()

	if objA.type=="car" and objB.type=="car" then
		local dist=getDist(objA.posInRoad,objB.posInRoad)
		if dist>5 then
			coll:setEnabled(false)
		end
	end

	if objA.type=="car" and (objB.type=="sensor" or objB.type=="wall") then
		local dist=getDist(objA.posInRoad,objB.index)
		if dist>5 then
			coll:setEnabled(false)
		end
	end

end

function c.beginContact(a,b,coll)
	begin(a,b,coll)
	begin(b,a,coll)
end

function c.endContact(a,b,coll)

end

function c.pre(a,b,coll)
	pre(a,b,coll)
	pre(b,a,coll)
end


function c.post(a,b,coll)
	

end

return c

