local puff=class("puff")

function puff:initialize(x,y,lifetime)
	self.x = love.math.random(x-5,x+5)
	self.y = love.math.random(y-5,y+5)
	self.speedX= love.math.random(-0.2,0.2)
	self.speedY= love.math.random(-0.2,0.2)
	self.lifetime  = love.math.random()*0.1
	self.life=self.lifetime
	self.r = love.math.random(1,5)
end


function puff:update()
	self.life=self.life-1/60
	if self.life<=0 then self.destroy=true end
	self.x=self.x+self.speedX
	self.y=self.y+self.speedY
	self.r=self.r*1.1
end

function puff:draw()
	love.graphics.setColor(255, 255, 255, 255-255*(1-self.life/self.lifetime))
	love.graphics.circle("line", self.x, self.y, self.r)
end

return puff